# $Revision: 1.23 $, $Date: 2012/03/26 19:49:32 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	MIME_Type
Summary:	%{_pearname} - utility class for dealing with MIME types
Summary(pl.UTF-8):	%{_pearname} - przydatna klasa do obsługi typów MIME
Name:		php-pear-%{_pearname}
Version:	1.3.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	971a633ad9a412658eba62933baf9396
URL:		http://pear.php.net/package/MIME_Type/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0
Suggests:	php-pear-System_Command
Obsoletes:	php-pear-MIME_Type-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(System/Command.*)

%description
Provides functionality for dealing with MIME types.
- Parse MIME type.
- Supports full RFC2045 specification.
- Many utility functions for working with and determining info about
  types.
- Most functions can be called statically.
- Autodetect a file's MIME-type, either with mime_content_type() or
  the 'file' command.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa dostarcza funkcjonalności do obsługi typów MIME:
- przetwarzanie typu MIME,
- pełna obsługa specyfikacji RFC2045
- wiele przydatnych funkcji do obsługi i określania informacji na
  temat typów
- większość funkcji może być wywołana statycznie
- autodetekecja typu MIME pliku, za pomocą mime_content_type() lub z
  wykorzystaniem polecenia 'file'.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/MIME
%{php_pear_dir}/MIME/Type.php
%{php_pear_dir}/MIME/Type

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MIME_Type.spec,v $
Revision 1.23  2012/03/26 19:49:32  glen
- updated to: 1.3.1

Revision 1.22  2011/09/15 20:00:36  glen
- updated to: 1.3.0

Revision 1.21  2011/01/23 00:37:21  sparky
- tests no longer installed - don't try to remove them

Revision 1.20  2010/11/15 15:39:25  glen
- up 1.2.1

Revision 1.19  2010/08/21 19:08:10  glen
- updated deps with pearize.sh
- release 2

Revision 1.18  2009/01/18 09:31:20  adamg
- updated to 1.2.0

Revision 1.17  2008/12/26 01:50:48  adamg
- updated to 1.1.3

Revision 1.16  2008/07/28 09:50:27  adamg
- updated to 1.1.1

Revision 1.15  2008-01-31 12:17:04  glen
- rel 4

Revision 1.14  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.12  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.11  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.10  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.9  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.8  2005/10/05 18:31:31  glen
- rel 2

Revision 1.7  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.6  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.5  2005/02/05 19:39:59  adamg
- updated to 1.0.0

Revision 1.4  2004/12/05 12:20:21  adamg
- install Parameter.php in %{php_pear_dir}/MIME/Type
- release .2

Revision 1.3  2004/12/05 11:27:15  adamg
- release .1

Revision 1.2  2004/11/20 15:06:10  qboosh
- pl cosmetics, proper URL

Revision 1.1  2004/11/16 21:53:48  adamg
- new
